textures/chopcustom/starfield
{
	qer_editorimage textures/chopcustom/starfield.tga
	
	//q3map_sunExt 100 100 120 90 225 55 3 16
	q3map_sunExt 40 60 90 80 90 55 3 16
	q3map_lightmapFilterRadius 0 64
	q3map_skyLight 250 3
	
	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	
	skyparms textures/chopcustom/starfield 256 -

	{
		map textures/chopcustom/starfield_clouds.tga
		blendFunc GL_ONE GL_ONE
		tcMod scale 3 3
		tcMod scroll 0.1 0.1
	}
}

textures/chopcustom/teleport
	{
	qer_editorimage textures/chopcustom/teleport.tga
	surfaceparm nolightmap
	surfaceparm nodlight
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm nopicmip
	cull disable
	tessSize 512
	q3map_surfacelight 125

		{
		map textures/effects/envmap.tga
		rgbGen identity
		tcGen environment
		}
		{
		map textures/chopcustom/teleport.tga
		blendfunc blend
		rgbGen identity
		tcMod turb 0 0.3 0 0.2
		}
	}
textures/chopcustom_lights/u_lamp1
{
	qer_editorimage textures/chopcustom_lights/u_lamp1.tga
	q3map_lightimage textures/chopcustom_lights/u_lamp_blend.tga
	surfaceparm nodlight
	surfaceparm nomarks
	q3map_surfacelight 2200
	{
		map textures/chopcustom_lights/u_lamp1.tga
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/chopcustom_lights/u_lamp_blend.tga
		blendfunc gl_one_minus_dst_color gl_one
	}
}

textures/chopcustom_lights/u_lamp1b
{
	qer_editorimage textures/chopcustom_lights/u_lamp1b.tga
	q3map_lightimage textures/chopcustom_lights/u_lamp_blend.tga
	surfaceparm nodlight
	surfaceparm nomarks
	q3map_surfacelight 2200
	{
		map textures/chopcustom_lights/u_lamp1b.tga
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/chopcustom_lights/u_lamp_blend.tga
		blendfunc gl_one_minus_dst_color gl_one
	}
}

textures/chopcustom_lights/u_lamp2
{
	qer_editorimage textures/chopcustom_lights/u_lamp2.tga
	q3map_lightimage textures/chopcustom_lights/u_lamp_blend.tga
	surfaceparm nodlight
	surfaceparm nomarks
	q3map_surfacelight 2200
	{
		map textures/chopcustom_lights/u_lamp2.tga
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/chopcustom_lights/u_lamp_blend.tga
		blendfunc add
		tcMod rotate 33
	}
}

textures/chopcustom_lights/u_lamp2_64
{
	qer_editorimage textures/chopcustom_lights/u_lamp2_64.tga
	q3map_lightimage textures/chopcustom_lights/u_lamp2_64_blend.tga
	surfaceparm nodlight
	surfaceparm nomarks
	q3map_surfacelight 2200
	{
		map textures/chopcustom_lights/u_lamp2_64.tga
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/chopcustom_lights/u_lamp2_64_blend.tga
		blendfunc gl_one_minus_dst_color gl_one
	}
}

textures/chopcustom_lights/u_lamp1_64
{
	qer_editorimage textures/chopcustom_lights/u_lamp1_64.tga
	q3map_lightimage textures/chopcustom_lights/u_lamp2_64_blend.tga
	surfaceparm nodlight
	surfaceparm nomarks
	q3map_surfacelight 2200
	{
		map textures/chopcustom_lights/u_lamp1_64.tga
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/chopcustom_lights/u_lamp2_64_blend.tga
		blendfunc gl_dst_color gl_one
		rgbGen wave noise 0.7 0.3 13 1 
	}
}

textures/chopcustom_lights/u_lamp3
{
	qer_editorimage textures/chopcustom_lights/u_lamp3.tga
	q3map_lightimage textures/chopcustom_lights/u_lamp3_blend.tga
	surfaceparm nodlight
	surfaceparm nomarks
	q3map_surfacelight 2000
	{
		map textures/chopcustom_lights/u_lamp3.tga
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/chopcustom_lights/u_lamp3_blend.tga
		blendfunc gl_one_minus_dst_color gl_one
	}
}

textures/chopcustom_lights/u_lamp3_blue
{
	qer_editorimage textures/chopcustom_lights/u_lamp3_blue.tga
	q3map_lightimage textures/chopcustom_lights/u_lamp3_blue_blend.tga
	surfaceparm nodlight
	surfaceparm nomarks
	q3map_surfacelight 2000
	{
		map textures/chopcustom_lights/u_lamp3_blue.tga
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/chopcustom_lights/u_lamp3_blue_blend.tga
		blendfunc gl_one_minus_dst_color gl_one
	}
}

textures/chopcustom_lights/u_lamp3_or
{
	qer_editorimage textures/chopcustom_lights/u_lamp3_or.tga
	q3map_lightimage textures/chopcustom_lights/u_lamp3_or_blend.tga
	surfaceparm nodlight
	surfaceparm nomarks
	q3map_surfacelight 2000
	{
		map textures/chopcustom_lights/u_lamp3_or.tga
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/chopcustom_lights/u_lamp3_or_blend.tga
		blendfunc gl_one_minus_dst_color gl_one
	}
}

textures/chopcustom_lights/u_lamp4
{
	qer_editorimage textures/chopcustom_lights/u_lamp4.tga
	q3map_lightimage textures/chopcustom_lights/u_lamp4_blend.tga
	surfaceparm nodlight
	surfaceparm nomarks
	q3map_surfacelight 2000
	{
		map textures/chopcustom_lights/u_lamp4.tga
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/chopcustom_lights/u_lamp4_blend.tga
		blendfunc gl_one_minus_dst_color gl_one
	}
}

textures/chopcustom_lights/u_lamp4_or
{
	qer_editorimage textures/chopcustom_lights/u_lamp4_or.tga
	q3map_lightimage textures/chopcustom_lights/u_lamp4_or_blend.tga
	surfaceparm nodlight
	surfaceparm nomarks
	q3map_surfacelight 2000
	{
		map textures/chopcustom_lights/u_lamp4_or.tga
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/chopcustom_lights/u_lamp4_or_blend.tga
		blendfunc gl_one_minus_dst_color gl_one
	}
}

textures/chopcustom_lights/u_lamp4_blue
{
	qer_editorimage textures/chopcustom_lights/u_lamp4_blue.tga
	q3map_lightimage textures/chopcustom_lights/u_lamp4_blue_blend.tga
	surfaceparm nodlight
	surfaceparm nomarks
	q3map_surfacelight 2000
	{
		map textures/chopcustom_lights/u_lamp4_blue.tga
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/chopcustom_lights/u_lamp4_blue_blend.tga
		blendfunc gl_one_minus_dst_color gl_one
	}
}

textures/chopcustom_lights/u_lamp5_blue
{
	qer_editorimage textures/chopcustom_lights/u_lamp5_blue.tga
	q3map_lightimage textures/chopcustom_lights/u_lamp5_blue_blend.tga
	surfaceparm nodlight
	surfaceparm nomarks
	q3map_surfacelight 2000
	{
		map textures/chopcustom_lights/u_lamp5_blue.tga
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/chopcustom_lights/u_lamp5_blue_blend.tga
		blendfunc gl_one_minus_dst_color gl_one
	}
}

textures/chopcustom_lights/u_lamp5
{
	qer_editorimage textures/chopcustom_lights/u_lamp5.tga
	q3map_lightimage textures/chopcustom_lights/u_lamp5_blend.tga
	surfaceparm nodlight
	surfaceparm nomarks
	q3map_surfacelight 2000
	{
		map textures/chopcustom_lights/u_lamp5.tga
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/chopcustom_lights/u_lamp5_blend.tga
		blendfunc gl_one_minus_dst_color gl_one
	}
}

textures/chopcustom_lights/u_lamp5_or
{
	qer_editorimage textures/chopcustom_lights/u_lamp5_or.tga
	q3map_lightimage textures/chopcustom_lights/u_lamp5_or_blend.tga
	surfaceparm nodlight
	surfaceparm nomarks
	q3map_surfacelight 2000
	{
		map textures/chopcustom_lights/u_lamp5_or.tga
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/chopcustom_lights/u_lamp5_or_blend.tga
		blendfunc gl_one_minus_dst_color gl_one
		rgbGen wave sin 0.92 0.03 0 8 
	}
}

textures/chopcustom_lights/u_lamp5_p
{
	qer_editorimage textures/chopcustom_lights/u_lamp5_p.tga
	q3map_lightimage textures/chopcustom_lights/u_lamp5_p_blend.tga
	surfaceparm nodlight
	surfaceparm nomarks
	q3map_surfacelight 2000
	{
		map textures/chopcustom_lights/u_lamp5_p.tga
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/chopcustom_lights/u_lamp5_p_blend.tga
		blendfunc gl_one_minus_dst_color gl_one
		rgbGen wave sin 0.9 0.03 0 8 
	}
}
